### Method

# Gtk Widgetcompute_bounds

#### Declaration [src]

    gboolean
    gtk_widget_compute_bounds (
      GtkWidget* widget,
      GtkWidget* target,
      graphene_rect_t* out_bounds
    )

#### Description [src]

Computes the bounds for `widget` in the coordinate space of `target`.

The bounds of widget are (the bounding box of) the region that it is expected to draw in. See the coordinate system overview to learn more.

If the operation is successful, `TRUE` is returned. If `widget` has no bounds or the bounds cannot be expressed in `target`‘s coordinate space (for example if both widgets are in different windows), `FALSE` is returned and `bounds` is set to the zero rectangle.

It is valid for `widget` and `target` to be the same widget.

#### Parameters

`target`

  Type: `GtkWidget`

  The `GtkWidget`

  The data is owned by the caller of the method.

`out_bounds`

  Type: `graphene_rect_t`

  The rectangle taking the bounds.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the bounds could be computed.